*******************************************************
**
**  Basic Startup Program.
**  ----------------------
**
**  Look for all lines commented as TBD (to be done)
**  to see what you should change.
**
*******************************************************

*******************************************************
* Some initial settings.  Maybe you want to change these...
#Fontsize(8)
#itemwalkspeed("slow")
#walkspeed("slow")
#include("methods.prg")
*******************************************************

#BorderColor(0,0,0)
#Fade(1)

*******************************************************
* TBD: Play a title screen file here...
* #MidiPlay("mysong.mid")
*******************************************************

#Clear

*******************************************************
* TBD: Put your own company name here...
#Text(14,10,"Awesome Software Presents")
#Text(9,20,"RPG Toolkit Development System, 2.0")
#for (t!=1;t!<=11;t!=t!+1)
{
    #Zoom(12.5)
}
#Clear
#delay(1)
*******************************************************

*******************************************************
* Draws the title screen...
#drawtitle()
*******************************************************

*******************************************************
* Waits for the user to choose something...
#done!=0
#While(done!=0)
{
    #MouseClick(x!,y!)          *waits for a mouse click and returns x y coords
    #CheckButton(x!,y!,opt!)    *checks if we clicked a button
    #if (opt!=0)
    {
        *'new game' clicked
        #history()
        #Color(15)
        * TBD: You might want to change the message window graphic...
        #WinGraphic("mwin.jpg") *Message window graphic
        #Fontsize(12)
        #done!=1
        #end
    }
    #if (opt!=1)
    {
        *'load game' clicked
        #dirsav(dest$)
        #if(dest$~="CANCEL")
        {
            #load(dest$)
            #done!=1
            #end
        }
    }
    #if (opt!=2) {#dos}
}
#end

*******************************************************
* This method draws the title screen...
*******************************************************
#method drawtitle()
{
    #Fade(1)
    #Clear
    * #Text(1,1,"Your Game Title...")
    * TBD: Set some graphic for your title screen graphic.
    #Bitmap("WFTIT.Bmp")

    #WinGraphic("mwin.jpg")

    * TBD: Maybe you want to change these buttons...
    #setbutton("new.jpg", 0,123,95,125,30)
    #setbutton("load.jpg",1,248,95,125,30)
    #setbutton("quit.jpg",2,373,95,125,30)
}

* TBD: Put a stroy here...
#method history()
{
	*Main story
#send("start.brd",10,5,1)
#addplayer("soldier.tem")
#putplayer("soldier",10,10,1)
#Push("nnn", "soldier")
#soldierspeak()
#MWin("Sire, after 5 months of warring, we have managed to")
#mwin("push the orcs out of the Great Forest and up into")
#mwin("The mountain ranges.")
#Wait(a$)
#mwincls()
#kingspeak()
#mwin("Indeed. Are the attacks effective?")
#wait
#mwincls()
#soldierspeak()
#mwin("Yes sire. We send in small squads of horsemen, about 100")
#mwin("per squad. They seem to wipe out some small orc camps")
#mwin("stationed throughout the forest.")
#wait
#mwincls()
#Kingspeak()
#mwin("Excellent. What further actions are you taking to finish")
#mwin("the orcs and ensure the safety of my people?")
#wait
#mwincls()
#soldierspeak()
#mwin("As we speak, we are preparing a small regiment to storm")
#mwin("the front of the mountains and a larger force to march")
#mwin("through the canyon path, as to trap the orcs to make")
#mwin("sure there are no survivers whatsoever.")
#wait
#mwincls()
#kingspeak()
#Mwin("Well done soldier. I think if you manage to pull this off")
#mwin("with minimal life loss, you shall be promoted to the")
#mwin("captain of Regiment Alpha B-40. Dismissed.")
#wait
#mwincls()
#soldierspeak()
#mwin("Thank you sire.")
#wait
#mwincls()
#kingspeak()
#mwin("Oh soldier, would you mind sending in Admiral Broneh on")
#mwin("your way out?")
#wait
#mwincls()
#push("sss","soldier")
#removeplayer("Soldier")
#put(10,11,"brickfloor.gph")
#addplayer("broneh.tem")
#putplayer("broneh",10,10,1)
#push("NNN","broneh")
#bronehspeak()
#mwin("You wished to see me sire?")
#wait
#mwincls()
#kingspeak()
#mwin("Yes. The orcs are coming to an end, so we will once again")
#mwin("have a peaceful kingdom in which to experiment. I hope")
#mwin("Operation Power revival is coming along properly")
#wait
#mwincls()
#bronehspeak()
#mwin("Yes sire, we have located the temple of the ancients and")
#mwin("have found several devices that are beyond our knowledge.")
#mwin("Our scientists believe they may be magical.")
#wait
#mwincls()
#kingspeak()
#mwin("Excellent.. Soon the world will cower in my wrath")
#mwin("and the world will fall at my feet.")
#wait
#Mwincls()
#bronehspeak()
#mwin("A glorius day is coming sire...")
#wait
#mwincls()
#kingspeak()
#mwin("Indeed...")
#wait
#mwincls()
#removeplayer("broneh")
#addplayer("koray.tem")
#removeplayer("king")
#addplayer("main.tem")
}







